Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/xhtml2/oddprocessing.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/xhtml2/oddprocessing.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/xhtml2/oddprocessing.xsl	(revision 2397)
@@ -1,278 +1,363 @@
 <?xml version="1.0" encoding="utf-8"?>
 <xsl:stylesheet version="2.0"
-  exclude-result-prefixes="#default s html a fo rng tei teix"
-  xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
-  xmlns:fo="http://www.w3.org/1999/XSL/Format"
-  xmlns:html="http://www.w3.org/1999/xhtml"
-  xmlns:rng="http://relaxng.org/ns/structure/1.0"
-  xmlns:s="http://www.ascc.net/xml/schematron"
-  xmlns:tei="http://www.tei-c.org/ns/1.0"
-  xmlns:teix="http://www.tei-c.org/ns/Examples"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-  xmlns="http://www.w3.org/1999/xhtml" >
+	exclude-result-prefixes="#default s html a fo rng tei teix"
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
+	xmlns:fo="http://www.w3.org/1999/XSL/Format"
+	xmlns:html="http://www.w3.org/1999/xhtml"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:s="http://www.ascc.net/xml/schematron"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns="http://www.w3.org/1999/xhtml">
 
-  <xsl:param name="cssFile"/>
-  <xsl:param name="cssSecondaryFile"/>
-  <xsl:param name="summaryDoc">false</xsl:param>
-  <xsl:include href="../common2/tagdocs.xsl"/>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-    <desc>
-      <p> TEI stylesheet dealing with elements from the tagdocs module,
-      making HTML output. </p>
-      <p>This software is dual-licensed:
+	<xsl:param name="cssFile" />
+	<xsl:param name="cssSecondaryFile" />
+	<xsl:param name="summaryDoc">
+		false
+	</xsl:param>
+	<xsl:include href="../common2/tagdocs.xsl" />
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> TEI stylesheet dealing with elements from the tagdocs module,
+				making HTML output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-      <p>Author: See AUTHORS</p>
-      <p>Id: $Id: oddprocessing.xsl 10030 2012-01-12 17:06:23Z rahtz $</p>
-      <p>Copyright: 2011, TEI Consortium</p>
-    </desc>
-  </doc>
-  <xsl:param name="oddmode">html</xsl:param>
-  <xsl:param name="xrefName">a</xsl:param>
-  <xsl:param name="urlName">href</xsl:param>
-  <xsl:param name="ulName">ul</xsl:param>
-  <xsl:param name="dlName">dl</xsl:param>
-  <xsl:param name="codeName">span</xsl:param>
-  <xsl:param name="colspan">colspan</xsl:param>
-  <xsl:param name="ddName">dd</xsl:param>
-  <xsl:param name="dtName">dt</xsl:param>
-  <xsl:param name="hiName">span</xsl:param>
-  <xsl:param name="itemName">li</xsl:param>
-  <xsl:param name="labelName">dt</xsl:param>
-  <xsl:param name="rendName">class</xsl:param>
-  <xsl:param name="rowName">tr</xsl:param>
-  <xsl:param name="tableName">table</xsl:param>
-  <xsl:param name="cellName">td</xsl:param>
-  <xsl:param name="divName">div</xsl:param>
-  <xsl:param name="sectionName">div</xsl:param>
-  <xsl:param name="segName">span</xsl:param>
-  <xsl:param name="outputNS">http://www.w3.org/1999/xhtml</xsl:param>
-  <xsl:key match="tei:*" name="NameToID" use="@ident"/>
-  <xsl:key name="MODEL-CLASS-MODULE" match="tei:classSpec[@type='model']" use="@module"/>
-  <xsl:key name="ATT-CLASS-MODULE" match="tei:classSpec[@type='atts']" use="@module"/>
-  <xsl:key name="ELEMENT-MODULE" match="tei:elementSpec" use="@module"/>
-  <xsl:key name="MACRO-MODULE" match="tei:macroSpec" use="@module"/>
-  <xsl:key name="ELEMENT-ALPHA" match="tei:elementSpec" use="substring(translate(@ident,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'),1,1)"/>
-  <xsl:key name="MODEL-CLASS-ALPHA" match="tei:classSpec[@type='model']" use="substring(translate(@ident,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'),7,1)"/>
-  <xsl:key name="ATT-CLASS-ALPHA" match="tei:classSpec[@type='atts']" use="substring(translate(@ident,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'),5,1)"/>
-  <xsl:key match="tei:moduleSpec[@ident]" name="FILES" use="@ident"/>
-  <xsl:variable name="top" select="/"/>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>[odds] Document an element, macro, or class</desc>
-  </doc>
-  <xsl:template name="refdoc">
-    <xsl:if test="$verbose='true'">
-      <xsl:message> refdoc for <xsl:value-of select="name(.)"/> - <xsl:value-of select="@ident"/>
-         </xsl:message>
-    </xsl:if>
-    <xsl:variable name="objectname">
-      <xsl:choose>
-        <xsl:when test="tei:altIdent">
-          <xsl:value-of select="tei:altIdent"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:value-of select="@ident"/>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <xsl:variable name="name">
-      <xsl:value-of select="$objectname"/>
-    </xsl:variable>
-    <xsl:choose>
-      <xsl:when test="self::tei:classSpec and not(@ident='att.global') and         count(key('CLASSMEMBERS',@ident))=0">
-        <xsl:if test="$verbose='true'">
-          <xsl:message> class <xsl:value-of select="@ident"/> omitted as it has no members
-      </xsl:message>
-        </xsl:if>
-      </xsl:when>
-      <xsl:when test="number($splitLevel)=-1 or $STDOUT='true'">
-        <xsl:apply-templates mode="weavebody" select="."/>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:variable name="BaseFile">
-          <xsl:value-of select="$masterFile"/>
-          <xsl:if test="ancestor::tei:teiCorpus">
-            <xsl:text>-</xsl:text>
-            <xsl:choose>
-              <xsl:when test="@xml:id">
-                <xsl:value-of select="@xml:id"/>
-              </xsl:when>
-              <xsl:otherwise>
-                <xsl:number/>
-              </xsl:otherwise>
-            </xsl:choose>
-          </xsl:if>
-        </xsl:variable>
-        <xsl:variable name="outName">
-          <xsl:call-template name="outputChunkName">
-            <xsl:with-param name="ident">
-              <xsl:text>ref-</xsl:text>
-              <xsl:value-of select="@ident"/>
-            </xsl:with-param>
-          </xsl:call-template>
-        </xsl:variable>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>Opening file <xsl:value-of select="$outName"/>
-               </xsl:message>
-        </xsl:if>
-        <xsl:variable name="documentationLanguage">
-          <xsl:call-template name="generateDoc"/>
-        </xsl:variable>
-        <xsl:variable name="langs">
-          <xsl:value-of select="concat(normalize-space($documentationLanguage),' ')"/>
-        </xsl:variable>
-        <xsl:result-document doctype-public="{$doctypePublic}" doctype-system="{$doctypeSystem}" encoding="{$outputEncoding}" href="{$outName}" method="{$outputMethod}">
-          <xsl:element name="html" namespace="{$outputNamespace}">
-            <xsl:call-template name="addLangAtt"/>
-            <xsl:comment>THIS IS A GENERATED FILE. DO NOT EDIT (7) </xsl:comment>
-            <head>
-              <title>
-                <xsl:text>TEI </xsl:text>
-                <xsl:value-of select="substring-before(local-name(),'Spec')"/>
-                <xsl:text> </xsl:text>
-                <xsl:value-of select="$name"/>
-                <xsl:text> </xsl:text>
-                <xsl:call-template name="makeGloss">
-                  <xsl:with-param name="langs" select="$langs"/>
-                </xsl:call-template>
-              </title>
-              <xsl:call-template name="metaHTML">
-                <xsl:with-param name="title">
-                  <xsl:value-of select="substring-before(local-name(),'Spec')"/>
-                  <xsl:text> </xsl:text>
-                  <xsl:value-of select="@ident"/>
-                  <xsl:text> </xsl:text>
-                  <xsl:call-template name="makeGloss">
-                    <xsl:with-param name="langs" select="$langs"/>
-                  </xsl:call-template>
-                  <xsl:text> - </xsl:text>
-                  <xsl:call-template name="generateTitle"/>
-                </xsl:with-param>
-              </xsl:call-template>
-              <xsl:call-template name="includeCSS"/>
-              <xsl:call-template name="generateLocalCSS"/>
-              <xsl:call-template name="includeJavascript"/>
-              <xsl:call-template name="javascriptHook"/>
-            </head>
-            <body id="TOP">
-              <xsl:call-template name="bodyMicroData"/>
-              <xsl:call-template name="bodyHook"/>
-              <xsl:call-template name="guidelinesTop">
-                <xsl:with-param name="name">
-                  <xsl:value-of select="$name"/>
-                </xsl:with-param>
-              </xsl:call-template>
-              <div class="main-content">
-                <xsl:call-template name="startDivHook"/>
-                <xsl:apply-templates mode="weavebody" select="."/>
-              </div>
-              <xsl:call-template name="stdfooter">
-                <xsl:with-param name="file">
-                  <xsl:text>ref-</xsl:text>
-                  <xsl:value-of select="@ident"/>
-                </xsl:with-param>
-              </xsl:call-template>
-              <xsl:call-template name="bodyEndHook"/>
-            </body>
-          </xsl:element>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>Closing file <xsl:value-of select="$outName"/>
-               </xsl:message>
-        </xsl:if>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>[html] Provide a footer for each reference document</desc>
-  </doc>
-  <xsl:template name="refdocFooter">
-    <xsl:call-template name="preAddressHook"/>
-    <div style="margin: 20pt; font-weight: bold;">
-      <a href="{$refDocFooterURL}">
-        <xsl:value-of select="$refDocFooterText"/>
-      </a>
-    </div>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>[html] <param name="text">text</param>
-      </desc>
-  </doc>
-  <xsl:template name="typewriter">
-    <xsl:param name="text"/>
-    <code>
-      <xsl:copy-of select="$text"/>
-    </code>
-  </xsl:template>
-  <xsl:template name="showRNC">
-    <xsl:param name="style"/>
-    <xsl:param name="contents"/>
-    <span class="{$style}">
-      <xsl:choose>
-        <xsl:when test="string-length($contents)&lt;50">
-          <xsl:value-of select="$contents"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:call-template name="verbatim-reformatText">
-            <xsl:with-param name="sofar">0</xsl:with-param>
-            <xsl:with-param name="indent">
-              <xsl:text> </xsl:text>
-            </xsl:with-param>
-            <xsl:with-param name="text">
-              <xsl:value-of select="$contents"/>
-            </xsl:with-param>
-          </xsl:call-template>
-        </xsl:otherwise>
-      </xsl:choose>
-    </span>
-  </xsl:template>
-  <xsl:template name="emptySlash">
-    <xsl:param name="name"/>
-    <span class="emptySlash">
-      <xsl:value-of select="$name"/>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process elements teix:egXML</desc>
-  </doc>
-  <xsl:template match="teix:egXML">
-    <xsl:param name="simple">false</xsl:param>
-    <xsl:param name="highlight"/>
-    <div>
-      <xsl:attribute name="id">
-        <xsl:apply-templates mode="ident" select="."/>
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: oddprocessing.xsl 10030 2012-01-12 17:06:23Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
+	<xsl:param name="oddmode">
+		html
+	</xsl:param>
+	<xsl:param name="xrefName">
+		a
+	</xsl:param>
+	<xsl:param name="urlName">
+		href
+	</xsl:param>
+	<xsl:param name="ulName">
+		ul
+	</xsl:param>
+	<xsl:param name="dlName">
+		dl
+	</xsl:param>
+	<xsl:param name="codeName">
+		span
+	</xsl:param>
+	<xsl:param name="colspan">
+		colspan
+	</xsl:param>
+	<xsl:param name="ddName">
+		dd
+	</xsl:param>
+	<xsl:param name="dtName">
+		dt
+	</xsl:param>
+	<xsl:param name="hiName">
+		span
+	</xsl:param>
+	<xsl:param name="itemName">
+		li
+	</xsl:param>
+	<xsl:param name="labelName">
+		dt
+	</xsl:param>
+	<xsl:param name="rendName">
+		class
+	</xsl:param>
+	<xsl:param name="rowName">
+		tr
+	</xsl:param>
+	<xsl:param name="tableName">
+		table
+	</xsl:param>
+	<xsl:param name="cellName">
+		td
+	</xsl:param>
+	<xsl:param name="divName">
+		div
+	</xsl:param>
+	<xsl:param name="sectionName">
+		div
+	</xsl:param>
+	<xsl:param name="segName">
+		span
+	</xsl:param>
+	<xsl:param name="outputNS">
+		http://www.w3.org/1999/xhtml
+	</xsl:param>
+	<xsl:key match="tei:*" name="NameToID" use="@ident" />
+	<xsl:key name="MODEL-CLASS-MODULE"
+		match="tei:classSpec[@type='model']" use="@module" />
+	<xsl:key name="ATT-CLASS-MODULE"
+		match="tei:classSpec[@type='atts']" use="@module" />
+	<xsl:key name="ELEMENT-MODULE" match="tei:elementSpec"
+		use="@module" />
+	<xsl:key name="MACRO-MODULE" match="tei:macroSpec"
+		use="@module" />
+	<xsl:key name="ELEMENT-ALPHA" match="tei:elementSpec"
+		use="substring(translate(@ident,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'),1,1)" />
+	<xsl:key name="MODEL-CLASS-ALPHA"
+		match="tei:classSpec[@type='model']"
+		use="substring(translate(@ident,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'),7,1)" />
+	<xsl:key name="ATT-CLASS-ALPHA"
+		match="tei:classSpec[@type='atts']"
+		use="substring(translate(@ident,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'),5,1)" />
+	<xsl:key match="tei:moduleSpec[@ident]" name="FILES"
+		use="@ident" />
+	<xsl:variable name="top" select="/" />
+
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>[odds] Document an element, macro, or class</desc>
+	</doc>
+	<xsl:template name="refdoc">
+		<xsl:if test="$verbose='true'">
+			<xsl:message>
+				refdoc for
+				<xsl:value-of select="name(.)" />
+				-
+				<xsl:value-of select="@ident" />
+			</xsl:message>
+		</xsl:if>
+		<xsl:variable name="objectname">
+			<xsl:choose>
+				<xsl:when test="tei:altIdent">
+					<xsl:value-of select="tei:altIdent" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:value-of select="@ident" />
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:variable name="name">
+			<xsl:value-of select="$objectname" />
+		</xsl:variable>
+		<xsl:choose>
+			<xsl:when
+				test="self::tei:classSpec and not(@ident='att.global') and         count(key('CLASSMEMBERS',@ident))=0">
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						class
+						<xsl:value-of select="@ident" />
+						omitted as it has no members
+					</xsl:message>
+				</xsl:if>
+			</xsl:when>
+			<xsl:when test="number($splitLevel)=-1 or $STDOUT='true'">
+				<xsl:apply-templates mode="weavebody" select="." />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:variable name="BaseFile">
+					<xsl:value-of select="$masterFile" />
+					<xsl:if test="ancestor::tei:teiCorpus">
+						<xsl:text>-</xsl:text>
+						<xsl:choose>
+							<xsl:when test="@xml:id">
+								<xsl:value-of select="@xml:id" />
+							</xsl:when>
+							<xsl:otherwise>
+								<xsl:number />
+							</xsl:otherwise>
+						</xsl:choose>
+					</xsl:if>
+				</xsl:variable>
+				<xsl:variable name="outName">
+					<xsl:call-template name="outputChunkName">
+						<xsl:with-param name="ident">
+							<xsl:text>ref-</xsl:text>
+							<xsl:value-of select="@ident" />
+						</xsl:with-param>
+					</xsl:call-template>
+				</xsl:variable>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						Opening file
+						<xsl:value-of select="$outName" />
+					</xsl:message>
+				</xsl:if>
+				<xsl:variable name="documentationLanguage">
+					<xsl:call-template name="generateDoc" />
+				</xsl:variable>
+				<xsl:variable name="langs">
+					<xsl:value-of
+						select="concat(normalize-space($documentationLanguage),' ')" />
+				</xsl:variable>
+				<xsl:result-document
+					doctype-public="{$doctypePublic}" doctype-system="{$doctypeSystem}"
+					encoding="{$outputEncoding}" href="{$outName}"
+					method="{$outputMethod}">
+					<xsl:element name="html" namespace="{$outputNamespace}">
+						<xsl:call-template name="addLangAtt" />
+						<xsl:comment>
+							THIS IS A GENERATED FILE. DO NOT EDIT (7)
+						</xsl:comment>
+						<head>
+							<title>
+								<xsl:text>TEI </xsl:text>
+								<xsl:value-of
+									select="substring-before(local-name(),'Spec')" />
+								<xsl:text> </xsl:text>
+								<xsl:value-of select="$name" />
+								<xsl:text> </xsl:text>
+								<xsl:call-template name="makeGloss">
+									<xsl:with-param name="langs" select="$langs" />
+								</xsl:call-template>
+							</title>
+							<xsl:call-template name="metaHTML">
+								<xsl:with-param name="title">
+									<xsl:value-of
+										select="substring-before(local-name(),'Spec')" />
+									<xsl:text> </xsl:text>
+									<xsl:value-of select="@ident" />
+									<xsl:text> </xsl:text>
+									<xsl:call-template name="makeGloss">
+										<xsl:with-param name="langs" select="$langs" />
+									</xsl:call-template>
+									<xsl:text> - </xsl:text>
+									<xsl:call-template name="generateTitle" />
+								</xsl:with-param>
+							</xsl:call-template>
+							<xsl:call-template name="includeCSS" />
+							<xsl:call-template name="generateLocalCSS" />
+							<xsl:call-template name="includeJavascript" />
+							<xsl:call-template name="javascriptHook" />
+						</head>
+						<body id="TOP">
+							<xsl:call-template name="bodyMicroData" />
+							<xsl:call-template name="bodyHook" />
+							<xsl:call-template name="guidelinesTop">
+								<xsl:with-param name="name">
+									<xsl:value-of select="$name" />
+								</xsl:with-param>
+							</xsl:call-template>
+							<div class="main-content">
+								<xsl:call-template name="startDivHook" />
+								<xsl:apply-templates mode="weavebody"
+									select="." />
+							</div>
+							<xsl:call-template name="stdfooter">
+								<xsl:with-param name="file">
+									<xsl:text>ref-</xsl:text>
+									<xsl:value-of select="@ident" />
+								</xsl:with-param>
+							</xsl:call-template>
+							<xsl:call-template name="bodyEndHook" />
+						</body>
+					</xsl:element>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						Closing file
+						<xsl:value-of select="$outName" />
+					</xsl:message>
+				</xsl:if>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>[html] Provide a footer for each reference document</desc>
+	</doc>
+	<xsl:template name="refdocFooter">
+		<xsl:call-template name="preAddressHook" />
+		<div style="margin: 20pt; font-weight: bold;">
+			<a href="{$refDocFooterURL}">
+				<xsl:value-of select="$refDocFooterText" />
+			</a>
+		</div>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			[html]
+			<param name="text">text</param>
+		</desc>
+	</doc>
+	<xsl:template name="typewriter">
+		<xsl:param name="text" />
+		<code>
+			<xsl:copy-of select="$text" />
+		</code>
+	</xsl:template>
+	<xsl:template name="showRNC">
+		<xsl:param name="style" />
+		<xsl:param name="contents" />
+		<span class="{$style}">
+			<xsl:choose>
+				<xsl:when test="string-length($contents)&lt;50">
+					<xsl:value-of select="$contents" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:call-template name="verbatim-reformatText">
+						<xsl:with-param name="sofar">
+							0
+						</xsl:with-param>
+						<xsl:with-param name="indent">
+							<xsl:text> </xsl:text>
+						</xsl:with-param>
+						<xsl:with-param name="text">
+							<xsl:value-of select="$contents" />
+						</xsl:with-param>
+					</xsl:call-template>
+				</xsl:otherwise>
+			</xsl:choose>
+		</span>
+	</xsl:template>
+	<xsl:template name="emptySlash">
+		<xsl:param name="name" />
+		<span class="emptySlash">
+			<xsl:value-of select="$name" />
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process elements teix:egXML</desc>
+	</doc>
+	<xsl:template match="teix:egXML">
+		<xsl:param name="simple">
+			false
+		</xsl:param>
+		<xsl:param name="highlight" />
+		<div>
+			<xsl:attribute name="id">
+        <xsl:apply-templates mode="ident"
+				select="." />
       </xsl:attribute>
-      <xsl:attribute name="class">
+			<xsl:attribute name="class">
 	<xsl:text>pre</xsl:text>
 	<xsl:if test="not(*)">
 	  <xsl:text> cdata</xsl:text>
